%define major 2
%define minor 13
%define fix 92

Name: fontconfig
Version: %{major}.%{minor}.%{fix}
Release: 1
License: MIT
Summary: Font configuration and customization library
Url: https://www.freedesktop.org/wiki/Software/fontconfig/
Source0: https://www.freedesktop.org/software/fontconfig/release/fontconfig-%{major}.%{minor}.%{fix}.tar.gz

BuildRequires: freetype-devel >= 2.8.1
BuildRequires: pkg-config
BuildRequires: expat-devel
BuildRequires: gperf
BuildRequires: json-c-devel

%description
Fontconfig is designed to locate fonts within the
system and select them according to requirements specified by 
applications.

%package -n libfontconfig1
Summary: Library for font configuration

%description  -n libfontconfig1
Fontconfig is designed to locate fonts within the
system and select them according to requirements specified by 
applications.

%package devel
Summary: Development files for fontconfig
Requires: %{name} == %{version}-%{release}
Requires: libfontconfig1 == %{version}-%{release}

%description devel
The fontconfig-devel package includes the header files,
and developer docs for the fontconfig package.

Install fontconfig-devel if you want to develop programs which
will use fontconfig.

%prep
%setup -q

%build

%define _host powerpc-ibm-aix6

%configure \
  ac_cv_func_posix_fadvise=no \
  LDFLAGS="-Wl,-brtl -Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib" \
  --with-aix-soname=svr4 \
  --enable-static=no \
  --enable-shared=yes \
  #end

# Passing ac_cv_func_posix_fadvise=no is not enough
perl -p -i -e 's|#define HAVE_POSIX_FADVISE |/* #undef HAVE_POSIX_FADVISE */|g' config.h

%make_build

%check
make check

%install
%make_install

# we do not ship .la files
find %{buildroot}/%{_libdir} -name \*.la | xargs rm

%files
%defattr(-, qsys, *none)
%license COPYING
%{_bindir}/fc-cache
%{_bindir}/fc-cat
%{_bindir}/fc-conflist
%{_bindir}/fc-list
%{_bindir}/fc-match
%{_bindir}/fc-pattern
%{_bindir}/fc-query
%{_bindir}/fc-scan
%{_bindir}/fc-validate

# contains *.conf files and README
%{_sysconfdir}/fonts

# contains available *.conf files
%{_datadir}/fontconfig

%{_datadir}/xml/fontconfig

%dir /QOpenSys/var/cache/fontconfig

%{_mandir}/man1/*
%{_mandir}/man5/*

%files -n libfontconfig1
%defattr(-, qsys, *none)
%license COPYING
%{_libdir}/libfontconfig.so.1

%files devel
%defattr(-, qsys, *none)
%{_includedir}/fontconfig

%{_libdir}/libfontconfig.so
%{_libdir}/pkgconfig/fontconfig.pc

%{_mandir}/man3/*

%{_datadir}/gettext/its/fontconfig.its
%{_datadir}/gettext/its/fontconfig.loc
# contains .html, .txt. .pdf doc files
%{_datadir}/doc/fontconfig

%changelog
* Fri May 15 2020 Abdirahim Musse <abdirahim.musse@ibm.com> - 2.13.92
- Update to version 2.13.92

* Mon Jan 6 2020 Abdirahim Musse <abdirahim.musse@ibm.com>
- Initial spec
